Imagick::frameImage
Imagick::fxImage
The Imagick class
PHP Manual

# Imagick::functionImage

(No version information available, might only be in SVN)

Imagick::functionImage — Applies a function on the image

### Description

public boolean Imagick::functionImage ( integer `$function` , array `$arguments` )

Applies an arithmetic, relational, or logical expression to an image. Use these operators to create lighter or darker versions of an image, to increase or decrease contrast in an image, or to negate the image colors. This method is available if Imagick has been compiled against ImageMagick version 6.4.9 or newer.

### Parameters

`function`

  Refer to this list of function constants

`arguments`

  Array of arguments to pass to this function.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::frameImage
Imagick::fxImage
The Imagick class
PHP Manual